// Module Author: Chris Pederick / Biju G.C. 2003.0625 
// License: The Mozilla Public License ( http://www.mozilla.org/MPL/ )
// Alternate License: GPL (The all time latest at http://www.gnu.org/copyleft/gpl.html ) 
// Homepage: http://quicktools.mozdev.org/
//
// Change Log :
// 2003.09.30 - Biju G.C. 
//   - Copy from Quick Tools and change to fit for QuickManager
//


var author              = "Biju G. C.";
var displayName         = "QuickManager";
var name                = "quickmanager";
var version             = "2003.1022.0";

var installContent      = true;
var installLocale       = ['en'];
var installSkin         = ['classic'];

var jarName             = "QuickManager.jar"
var jarName_tb          = "QuickManager_Tb.jar"

var flagLocation        = PROFILE_CHROME;
var folder              = getFolder("Current User", "chrome");
var existsInApplication = File.exists(getFolder(getFolder("Chrome"), jarName));
var existsInProfile     = File.exists(getFolder(folder, jarName));

var existsInApplication_tb = File.exists(getFolder(getFolder("Chrome"), jarName_tb));
var existsInProfile_tb     = File.exists(getFolder(folder, jarName_tb));

var msgTitle            = displayName + " (" +version + ")\n\n"

var msgJSLib            = "For advanced features of " 
                        + displayName + "\n"
                        + "please ensure latest version "
                        + "of JSLib is installed\n\n"
                        + "You can get production version of JSLib at\n" 
                        + "http://jslib.mozdev.org/installation.html\n\n"
                        + "JSLib is recommend, but not a must for "
                        + displayName + ".";


var msgLocationChk      = "Select Install Location : " + msgTitle 
                        + "Do you want to install the extension into your profile folder?\n"
                        + "[OK] ______ to install in your Personal Profile folder\n"
                        + "[Cancel] ___ will install into the Application folder"

var msgSuccess          = "Success : " + msgTitle 
                        + "Extension has been successfully installed!\n\n"
                        + "You must restart \nFirebird/Thunderbird/Mozilla\n"
                        + "to complete installation!"

var msgFail             = "Failed : " + msgTitle +  "The installation of the extension failed.\nError : " 
var installthis         = true;

alert( msgJSLib);
if (existsInProfile || existsInApplication)
{
 installthis = owerwritecheck();
}     
 
if (installthis)
{
  initInstall(displayName, name, version);

  existsInApplication = existsInApplication || existsInApplication_tb;
  existsInProfile     = existsInProfile || existsInProfile_tb;

  if(existsInApplication || (!existsInProfile && !confirm(msgLocationChk)))
  {
   flagLocation = DELAYED_CHROME;
   folder       = getFolder("Chrome");
  }

  setPackageFolder(folder);
  addFile(name, jarName, folder, "");

  var i;
  installContent     && registerChrome(CONTENT | flagLocation, getFolder(folder, jarName), "content/" + name + "/");

  for(i = 0; i < installLocale.length;i++) 
  {
    registerChrome(LOCALE | flagLocation, getFolder(folder, jarName), "locale/" + installLocale[i] + "/" + name + "/");
  }

  for(i = 0; i < installSkin.length;i++) 
  {
   registerChrome(SKIN    | flagLocation, getFolder(folder, jarName), "skin/" + installSkin[i] + "/"  + name + "/");
  }

  if(getLastError() == SUCCESS)
  {
   performInstall();
   alert(msgSuccess);
  }
  else
  {
   cancelInstall(getLastError());
   alert(msgFail + getLastError());
  }
}

function owerwritecheck()
{
  var s;
  s = "STOP !!!\n"
    + "\n"
    + "Found previous installation of this extension.\n"
    + "\n"
    + "You are strongly recommended to read instruction\n"
    + 'for updating/reinstalling extension in "Known Issues Page" at\n'
    + "http://quicktools.mozdev.org/issues.html\n"
    + "\n\n"
    + "Do you want Continue installation?\n"
    + "[OK] ______ to Continue \n"
    + "[Cancel] ___ to STOP installation"

  if (confirm(s))   { 
     return true;
  }  else {
     alert("Successfully STOPPED Installation.");
     return false;
  }
}
    