
// Module Author: Biju G.C. 2003.0930
// License: The Mozilla Public License ( http://www.mozilla.org/MPL/ )
// Alternate License: GPL (The all time latest at http://www.gnu.org/copyleft/gpl.html ) 
// Homepage: http://quickmanager.mozdev.org/
//
// Change Log :
// 2003.mm.dd - Authorxxx 


var extlbox;
var skinlbox;

function isTb(){
 return navigator.vendor == "Thunderbird";
}

function setdefaultextprev(){
 getItem("extprev").setAttribute('image', 
 "http://texturizer.net/thunderbird/images/frontpage.png");
}

function setdefaultskinprev(){
  getItem("skinprev").setAttribute('image', 
  "http://texturizer.net/thunderbird/images/frontpage.png");
}

function extinstallclick(){
  var url = getItem("exturl").value;
  url =  url.replace(/^\s*/,'').replace(/\s*$/,'');
  if(!url)return;
  loadingmsg(3000);
  triggerURL(tofullurl(url));
}

function skininstallclick(){
  var url = getItem("skinurl").value;
  url =  url.replace(/^\s*/,'').replace(/\s*$/,'');
  if(!url)return;
  loadingmsg(3000);
  installThemeNow(tofullurl(url));
}
function onextlboxclick() {
  var i =extlbox.selectedIndex;
  var a=extensionArray[i];
  var email = ''+a.authorEmail;
  email = email.replace(/&#64;/g,"@");
  getItem("extname").value = a.name + (a.version?' ('+a.version+')':'');
  getItem("extsize").value = a.size?a.size+' kB':'';
  getItem("extdate").value = a.updated;
  getItem("extauthor").value = ''+a.author 
              + (email.replace(/[\s,]/g,'')?' ('+ email +')':'');
  getItem("exthome").value = a.homepage;
  getItem("exturl").value = a.installFile;
  getItem("extdesc").setAttribute('src',"description.html?e"+i);
  if(a.preview){
    getItem("extprev").setAttribute('image', getPreviewImage(a));
  } else{
    setdefaultextprev();
  }
}

function onskinlboxclick() {
  var i =skinlbox.selectedIndex;
  var a=themeArray[i];
  var email = ''+a.authorEmail;
  email = email.replace(/&#64;/g,"@");
  getItem("skinname").value = a.name + (a.version?' ('+a.version+')':'');
  getItem("skinsize").value = a.size?a.size+' kB':'';
  getItem("skindate").value = a.updated;
  getItem("skinauthor").value = ''+a.author 
              + (email.replace(/[\s,]/g,'')?' ('+ email +')':'');
  getItem("skinhome").value = a.homepage;
  getItem("skinurl").value = a.installFile;
  getItem("skindesc").setAttribute('src',"description.html?s"+i);
  if(a.preview){
    getItem("skinprev").setAttribute('image', getPreviewImage(a));
  }else{
    setdefaultskinprev();
  }
}


function getPreviewImage(a){
  if (!a.Image) {
    a.Image = new Image(); 
    a.Image.onAbort = function (){this.err=true};
    a.Image.onError = function (){this.err=true};
    a.Image.onload  = function (){this.err=false};
    a.Image.err=true;
  }
  if (a.Image.err) {
    a.Image.src= (isTb()?getMirror(a.preview):a.preview); 
    a.Image.err=false;
  }

  return a.Image.src;
 
}


function getItem(id){
 return document.getElementById(id);
}


function newItem(itemtype, parent, itemid, nextsib) {
  var a = document.createElement(itemtype);
  itemid && (a.id = itemid);
  //parent && parent.appendChild(a);
  parent && parent.insertBefore(a,nextsib);
  return a;
}

function InstallMgr(){}
  QuickTools = InstallMgr;
  // Menu event method to install a theme from URL 
  // Author: Biju G.C. 2003.0625
  QuickTools.prototype.installFromURLTheme = function (mode, menu)
  {
    var filename = prompt(getPrompt (menu, 'Enter Theme Location/URL'));
    if (filename) installThemeNow(tofullurl(filename));
  }


  // Menu event method to install a extension from URL 
  // Author: Biju G.C. 2003.0625
  QuickTools.prototype.installFromURLExt = function (mode, menu)
  {
    var filename = prompt(getPrompt (menu, 'Enter Extention Location/URL'));
    if (filename) triggerURL(tofullurl(filename));
  }

  // gets prompt attribute from an object 
  // Author: Biju G.C. 2003.0625
  function getPrompt (thisobject, defaultval)
  {
   if(thisobject && thisobject.getAttribute && thisobject.getAttribute("prompt")) 
     return thisobject.getAttribute("prompt");
   else
     return defaultval;
  }

  // Credits to mozdev.org, following function copied from
  // http://mozdev.org
  // Author: unknown
  function triggerURL(url) 
  {
    if (!InstallTrigger.updateEnabled()) return false; 
    else InstallTrigger.startSoftwareUpdate(url); 
  }


  // Credits to David Tenser. & texturizer.net, following 2 function copied
  // from http://texturizer.net/firebird/extensionSetup.js then modified

  // Author: texturizer.net
  function doneFn(name,result) {}

  // Author: texturizer.net
  function doXPIInstall(file,name)
  {
    var xpi = new Object();
    xpi[name] = file;
    InstallTrigger.install(xpi,doneFn);
  }


  // Functions needed for JAR install
  // Author: Alan Starr 20021210
  function installTheme(where)
  {
    var file = '';
    if (where == 'local') {
      file = 'file:///' + escape(document.getElementById('filename').value.replace(/\\/g,'/'));
    } else {
      file = document.getElementById('url').value;
    }
    InstallTrigger.installChrome(InstallTrigger.SKIN, file, getName(file));
  }

  // Finds the name of the theme from the filename
  // Author: Alan Starr 20021210
  function getName(raw)
  {
    var grabFileStart = raw.lastIndexOf('/');
    var grabFileEnd = raw.lastIndexOf('.');
    if (grabFileStart >= grabFileEnd) {
      return 'Invalid file name';
    } else {
      return raw.substring(grabFileStart + 1,grabFileEnd);
    }
  }

  // Author: Alan Starr 20021210
  function installThemeNow(file)
  {
    // used in the hrefs 
    var extStart = file.lastIndexOf('.');
    var fileType = file.substring(extStart, file.length).toLowerCase();
    if (fileType == 'xpi') {
      doXPIInstall(file, getName(file));
    } else {
      InstallTrigger.installChrome(InstallTrigger.SKIN, file, getName(file));
    }
    return true;
  }


 // Author: Biju G. C. 2003.0925
function getMirror(url){
  dmourl='http://downloads.mozdev.org/';

  if (url.toLowerCase().indexOf(dmourl)==0) 
  if (downloadmirrors.length) url = downloadmirrors[parseInt(Math.random() *  (downloadmirrors.length - 0.0001))] + url.substr(dmourl.length);

  return url;
}

  // Author: Biju G. C. 2003.0925
  function tofullurl(url,base,search)
  {
   
    isTb() && (url=getMirror(url));

    base || (base='file:///');

    url=url.replace(/^\s*/,'')
           .replace(/\s*$/,'');
    var u = url.toLowerCase();
      
    var noturl=(u.search(/^[hf]tt?ps?:\/\//)
              + u.search(/^file:\/\//))==-2;
    noturl && (url=base+escape(url.replace(/\\/g,'/')).replace(/%3A/,':').replace(/%7E/,'~'));
    search && (url+='?'+search);
    return url;
  }

  InstallMgr = new InstallMgr();

function init()
{
try{
 winloadmsg.close();
}catch (errignore){}

  //alert(extensionArray.length)
  //newItem(itemtype, parent, itemid, nextsib)
  extlbox = document.getElementById("extlist");
  skinlbox = document.getElementById("skinlist");

themeArray.length || themeArray.push(new theme("List server"),new theme("may be down"),new theme("Try later")) ;
extensionArray.length || extensionArray.push(new  extension("List server"),new  extension("may be down"),new  extension("Try later")) 

  var i;
  var a;

  while(extlbox.lastChild) extlbox.removeChild(extlbox.lastChild);

  for(i=0;i<extensionArray.length;i++) {
    extlbox.appendItem ( extensionArray[i].name, i )
  }

  while(skinlbox.lastChild) skinlbox.removeChild(skinlbox.lastChild);

  for(i=0;i<themeArray.length;i++) {
    skinlbox.appendItem ( themeArray[i].name , i )
  }

  setdefaultextprev();
  setdefaultskinprev();
}

function fileopen(textboxid, isskin) {
  var nsIFilePicker = Components.interfaces.nsIFilePicker;
  var fp = Components.classes['@mozilla.org/filepicker;1']
             .createInstance(nsIFilePicker);
  fp.init(window, "Select an Install File", nsIFilePicker.modeOpen);
  if (isskin) {
    fp.appendFilter("Theme Files", "*.xpi; *.jar");
    fp.appendFilter("jar Files", "*.jar");
  }
  fp.appendFilter("XPInstall Files", "*.xpi");
  fp.appendFilters(nsIFilePicker.filterAll);
  if (fp.show() == nsIFilePicker.returnOK) {
   document.getElementById(textboxid).value = fp.file.path;
  }
}

function urlopen(url){
 if (isTb()) urlredirect(url);
 else window.open(url);
}

function mailopen(url){
 if (isTb()) urlredirect(url);
 else {
  var win = window.open(url);
  setTimeout(function (win) {win.close()},5000, win)
 }
}


function urlredirect(url){
 window.open("redirect.html?"+escape(url));
}

function openwin(context, action){
  var i= (context == 'e'? extlbox:skinlbox).selectedIndex;
  if (i<0) return;
  var curritem = context == 'e'? extensionArray[i]:themeArray[i];
  switch(context + '-' + action){
  case 's-mail':
  case 'e-mail':
    var email = ''+curritem.authorEmail;
    email = email.replace(/&#64;/g,"@");
    email && mailopen('mailto:'+email+'?subject='+escape(curritem.name.replace(/\s+/g,'_')) );
    return;
  case 'e-info':
    urlopen('http://extensionroom.mozdev.org/more-info.php/'+curritem.id);
    return;
  case 's-info':
    urlopen('http://themes.mozdev.org/xml/themeinfo.html?id='+curritem.id);
    return;
  case 'e-vcomment':
    urlopen('http://extensionroom.mozdev.org/more-info.php/'+curritem.id+'#c1');
    return;
  case 's-vcomment':
    urlopen('http://themes.mozdev.org/xml/themeinfo.html?id='+curritem.id+'#c1');
    return;
  case 'e-acomment':
    urlopen('http://extensionroom.mozdev.org/more-info.php/'+curritem.id+'#NOTESsubmit');
    return;
  case 's-acomment':
    urlopen('http://themes.mozdev.org/xml/themeinfo.html?id='+curritem.id+'#NOTESsubmit');
    return;
  case 'e-screen':
    urlopen('http://extensionroom.mozdev.org/screenshots.php/'+curritem.id);
    return;
  case 'e-home':
  case 's-home':
    curritem.homepage && urlopen(curritem.homepage);
    return;
  default:
    curritem.homepage && urlopen(curritem.homepage);
    return;
  }

}

